package com.tenlionsoft.baselib.core.beans;

import com.contrarywind.interfaces.IPickerViewData;

import java.io.Serializable;
import java.util.List;

/**
 * 作者: adam
 * 日期: 2020/11/23 - 5:29 PM
 * 邮箱: itgaojian@163.com
 * 描述: 字典
 */
public class DicBean implements IPickerViewData, Serializable {

    /**
     * dictionaryId : 26387950-ef19-4ba4-82de-f1f7114ac5ca
     * dictionaryParentId : 4c21d91a-d5e1-4cfc-a18a-d63272763cdb
     * dictionaryParentName :
     * dictionaryName : 本人
     * dictionarySummary : 01
     * dictionaryCode : 00110001
     * dictionarySort : 0
     * subDictionary : []
     * parent : null
     */
    private boolean isCheck;
    private String dataCode;
    private String dataId;
    private String dataName;
    private String dataParentId;
    private String dataParentName;
    private String dataSort;
    private String dataSummary;
    private boolean parent;
    private List<?> subData;

    public boolean isCheck() {
        return isCheck;
    }

    public void setCheck(boolean check) {
        isCheck = check;
    }

    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataParentId() {
        return dataParentId;
    }

    public void setDataParentId(String dataParentId) {
        this.dataParentId = dataParentId;
    }

    public String getDataParentName() {
        return dataParentName;
    }

    public void setDataParentName(String dataParentName) {
        this.dataParentName = dataParentName;
    }

    public String getDataSort() {
        return dataSort;
    }

    public void setDataSort(String dataSort) {
        this.dataSort = dataSort;
    }

    public String getDataSummary() {
        return dataSummary;
    }

    public void setDataSummary(String dataSummary) {
        this.dataSummary = dataSummary;
    }

    public boolean isParent() {
        return parent;
    }

    public void setParent(boolean parent) {
        this.parent = parent;
    }

    public List<?> getSubData() {
        return subData;
    }

    public void setSubData(List<?> subData) {
        this.subData = subData;
    }

    @Override
    public String getPickerViewText() {
        return dataName;
    }
}
